gtk-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.ValueType A struct containing all the info necessary for creating an

The ActionEntry struct is C# "syntactic sugar", designed to make it easier for developers to add s to their code.

Instead of creating a new object for each action, a developer can create an array of RadioActionEntry's and add them to an all at once using the method.

- Constructor
  a
  a
  Basic constructor.
- Constructor
  a , a unique name for the action
  a , the stock icon to use.
  a , the label to display on menu items and buttons
  a ,the accelerator string (see notes below)
  a , a tooltip for this action
  Public constructor with accelerator.
  The accelerator given should be in the format understood , or "" for no accelerator, or to use the stock accelerator
- Constructor
  a , a unique name for the action
  a , the stock icon to use.
  a , the label to display on menu items and buttons
  a ,the accelerator string (see notes below)
  a , a tooltip for this action
  a , the value that should return if this action is activated.
  Public constructor with accelerator and value.
  The accelerator given should be in the format understood , or "" for no accelerator, or to use the stock accelerator
- Field
  System.String The accelerator for the action, in the format understood by , or "" for no accelerator, or to use the stock accelerator.
- Field
  System.String The label used for menu items and buttons that activate this action.
- Field
  System.String A unique name for the action.
- Field
  System.String The stock icon displayed in widgets representing this action.
- Field
  System.String A tooltip for this action.
- Field
  System.Int32 Integer representing the value of the .